> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Graph Node

> Test a specific node in the agent graph to validate its configuration and behavior.



## OpenAPI

````yaml post /agent-graphs/test-node
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /agent-graphs/test-node:
    post:
      tags:
        - Agent Graph
      summary: Test Graph Node
      description: >-
        Test a specific node in the agent graph to validate its configuration
        and behavior.
      operationId: AgentGraphController_testTool
      parameters:
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetNodeDetailsDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
      security:
        - x-api-key: []
components:
  schemas:
    GetNodeDetailsDto:
      type: object
      properties:
        agentId:
          type: string
        nodeId:
          type: string
        graphId:
          type: string
        params:
          type: object
      required:
        - agentId
        - nodeId
        - graphId
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````